Method: organizations.locations.standards.controls.list

Lists the controls that you must implement to become compliant to a regulatory standard.

HTTP request

GET https://auditmanager.googleapis.com/v1/{parent=organizations/*/locations/*/standards/*}/controls

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Standard to list controls for, in one of the following formats:

  • projects/{project}/locations/{location}/standards/{standard}
  • folders/{folder}/locations/{location}/standards/{standard}
  • organizations/{organization}/locations/{location}/standards/{standard}

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of items to return in a single page. The service might return fewer items than this value. If unspecified, the service picks an appropriate default. The maximum value is 100; values above 100 are reduced to 100.

pageToken

string

Optional. A page token, received from a previous call, to retrieve the next page of results.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListControlsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • auditmanager.controls.list

For more information, see the IAM documentation.